package com.fzm.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Comparator;
import java.util.stream.Stream;

/**
 * @author tangtuo
 * @date 2022/1/25 10:07
 */
@Data
@AllArgsConstructor
@TableName("tb_charge")
public class Charge implements Comparable<Charge> {

    @NotNull(message = "id不能为空")
    @TableId(type = IdType.AUTO)
    private Integer id;

    @NotNull(message = "金额不能为空")
    @Min(value = 0, message = "金额必须大于等于0")
    @ApiModelProperty("收费金额")
    private Long fee;

    @NotNull(message = "收费类型不能为空")
    @ApiModelProperty("收费类型 1-nft发行 2-版权申请")
    private Integer type;

    @Override
    public int compareTo(Charge o) {
        return -this.getFee().compareTo(o.getFee());
    }

    public static void main(String[] args) {
        Charge charge1 = new Charge(1, 1L, 1);
        Charge charge2 = new Charge(1, 3L, 1);
        Charge charge3 = new Charge(1, 5L, 1);
        Charge charge4 = new Charge(1, 2L, 1);
        Stream.of(charge1, charge2, charge3, charge4).sorted(Comparator.reverseOrder()).forEach(System.out::println);
    }
}
